# Edited by rpmlb
%{?scl:%scl_package perl-Math-BigInt-FastCalc}

Name:           %{?scl_prefix}perl-Math-BigInt-FastCalc
%global cpan_version 0.5006
Version:        0.500.600
Release:        6.sc1%{?dist}
Summary:        Math::BigInt::Calc with some XS for more speed
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-BigInt-FastCalc/
Source0:        http://www.cpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-FastCalc-%{cpan_version}.tar.gz
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  %{?scl_prefix}perl-interpreter
BuildRequires:  %{?scl_prefix}perl-devel
BuildRequires:  %{?scl_prefix}perl-generators
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker)
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(:VERSION) >= 5.6.0
BuildRequires:  %{?scl_prefix}perl(Math::BigInt::Calc) >= 1.999801
BuildRequires:  %{?scl_prefix}perl(XSLoader)
# Tests:
# Config::Tiny not used
# Exporter not used
# lib not used
BuildRequires:  %{?scl_prefix}perl(Math::BigFloat)
BuildRequires:  %{?scl_prefix}perl(Math::BigInt) >= 1.999808
# Scalar::Util not used
BuildRequires:  %{?scl_prefix}perl(Test::More) >= 0.82
# Optional tests:
# Module::Signature not used and not helpful
# Socket not used
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Conflicts:      %{?scl_prefix}perl < 4:5.22.0-348

%description
This Perl module provides support for fast big integer calculations.

%prep
%setup -q -n Math-BigInt-FastCalc-%{cpan_version}

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -delete
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc LICENSE
%doc CHANGES CREDITS README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Math*
%{_mandir}/man3/*

%changelog
* Mon Dec 18 2017 Petr Pisar <ppisar@redhat.com> - 0.500.600-6
- SCL

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.500.600-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.500.600-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.500.600-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.500.600-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Petr Pisar <ppisar@redhat.com> - 0.500.600-1
- 0.5006 bump

* Fri Dec 23 2016 Petr Pisar <ppisar@redhat.com> 0.500.500-1
- Specfile autogenerated by cpanspec 1.78.
